Package javax.help.tagext

# Class ValidateTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.help.tagext.ValidateTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class ValidateTag extends javax.servlet.jsp.tagext.TagSupport
Validates a HelpSet file and an Map.ID thourgh either a Request Parameter or passed as a JSP argument and sets the state in a HelpBroker. Additionally allows a HelpSet to be merged with the current HelpSet in the HelpBroker.

See Also:
  - `HelpSet`
  - `Map.ID`
  - `HelpBroker`
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ValidateTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doStartTag()`
`void`
`setCurrentID(String id)`
`void`
`setHelpBroker(HelpBroker helpBroker)`
`void`
`setHelpSetName(String hsName)`
`void`
`setInvalidURL(String relativeURLPath)`
`void`
`setMerge(boolean merge)`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidateTag

public ValidateTag()

## Method Details

### setHelpBroker

public void setHelpBroker(HelpBroker helpBroker)

### setInvalidURL

public void setInvalidURL(String relativeURLPath)

### setHelpSetName

public void setHelpSetName(String hsName)

### setCurrentID

public void setCurrentID(String id)

### setMerge

public void setMerge(boolean merge)

### doStartTag

public int doStartTag()

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`